package br.exemplotexttospeech;

import java.io.File;
import java.util.Locale;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.os.Bundle;
import android.speech.tts.TextToSpeech;
import android.speech.tts.TextToSpeech.OnInitListener;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends Activity implements OnInitListener {
	private TextToSpeech tts;
	private Button bt;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		bt = (Button) findViewById(R.id.button);
		tts = new TextToSpeech(this, this);
	}

	@Override
	public void onInit(int status) {
		if(status == TextToSpeech.SUCCESS){
			bt.setEnabled(true);
		}
	}
	
	@SuppressLint("NewApi")
	public void falarMeuTexto(View view){
		EditText et = (EditText) findViewById(R.id.editText);
		Log.i("Script", "Mximo: "+TextToSpeech.getMaxSpeechInputLength());
		
		int codigo = tts.isLanguageAvailable(new Locale("pt", "BR"));
		if(codigo == TextToSpeech.LANG_AVAILABLE){
			tts.setLanguage(new Locale("pt", "BR"));
		}
		else{
			Toast.makeText(this, "Cdigo: "+codigo, Toast.LENGTH_SHORT).show();
		}
		
		/*tts.speak("Hello", tts.QUEUE_ADD, null);
		tts.speak("House", tts.QUEUE_ADD, null);
		tts.speak("Dog", tts.QUEUE_ADD, null);
		tts.speak("Cat", tts.QUEUE_FLUSH, null);*/
		tts.speak(et.getText().toString(), tts.QUEUE_FLUSH, null);
		
		File f = android.os.Environment.getExternalStorageDirectory();
		tts.synthesizeToFile(et.getText().toString(), null, f.getAbsolutePath()+"/meuTexto.wav");
		
	}
	
	@Override
	public void onDestroy(){
		super.onDestroy();
		tts.shutdown();
	}
}
